<template>
  <div class="about-wrap">
    <nav-bar title="关于我们"/>
    <img src="../../assets/imgs/about@2x.png" alt="">
    <van-cell-group>
      <van-cell class="line" title="联系客服" is-link :value="data.telCnPrefix + ' ' + data.telCn"/>
      <van-cell class="line" title="官方网址" is-link value="www.hoolihome.com"/>
      <van-cell class="line" title="服务协议" is-link @click="goNext"/>
    </van-cell-group>
  </div>
</template>

<script>
import NavBar from "@/components/common/NavBar";

export default {
  name: "About",
  components: {
    NavBar
  },
  data() {
    return {
      isLogin: false,
      data: {
        telCnPrefix: "",
        telCn: ""
      }
    };
  },
  created() {
    this.getData();
  },
  methods: {
    // 获取数据
    getData() {
      let params = {};
      params.url = this.$apis.api_common_conf;
      this.$net.req(params, this).then(
        res => {
          this.data = res.data;
        },
        e => {
          this.$Toast(e.msg);
        }
      );
    },
    // 跳转
    goNext() {
      this.$router.push({
        path: "/common/service-agreement"
      });
    }
  }
};
</script>

<style scoped lang='less'>
.about-wrap {
  background: #fff;
  min-height: 100vh;
  > img {
    width: 140px;
    display: flex;
    margin: 60px auto;
  }
  .van-hairline--top-bottom:after {
    border: 0;
  }
  .van-hairline--top-bottom {
    border-bottom: 1px solid #eee;
  }
}
</style>
